Public Attributes | List of all members
hal_gfx_font_t Struct Reference
Graphics » HAL GFX » GFX FONT » Structures

Font setting Structure. More...

`#include <hal_gfx_font.h>`

Collaboration diagram for hal_gfx_font_t:
[legend]

## Public Attributes
hal_gfx_buffer_t | bo
| the base object More...
const hal_gfx_font_range_t * | ranges
| the font range More...
const int | bitmap_size
| bitmap size More...
const uint8_t * | bitmap
| pointer to bitmap More...
uint32_t | flags
| specify the flag More...
uint8_t | xAdvance
| horizontal advance setting More...
uint8_t | yAdvance
| vertical advance setting More...
uint8_t | max_ascender
| max ascender setting More...
uint8_t | bpp
| bits per pixel setting More...
const hal_gfx_kern_pair_t * | kern_pairs
| pointer to kern pair More...

## Detailed Description

Font setting Structure.

Definition at line 113 of file hal_gfx_font.h.

## Member Data Documentation

## ◆ bitmap

const uint8_t* hal_gfx_font_t::bitmap

pointer to bitmap

Definition at line 117 of file hal_gfx_font.h.

## ◆ bitmap_size

const int hal_gfx_font_t::bitmap_size

bitmap size

Definition at line 116 of file hal_gfx_font.h.

## ◆ bo

hal_gfx_buffer_t hal_gfx_font_t::bo

the base object

Definition at line 114 of file hal_gfx_font.h.

## ◆ bpp

uint8_t hal_gfx_font_t::bpp

bits per pixel setting

Definition at line 122 of file hal_gfx_font.h.

## ◆ flags

uint32_t hal_gfx_font_t::flags

specify the flag

Definition at line 118 of file hal_gfx_font.h.

## ◆ kern_pairs

const hal_gfx_kern_pair_t* hal_gfx_font_t::kern_pairs

pointer to kern pair

Definition at line 123 of file hal_gfx_font.h.

## ◆ max_ascender

uint8_t hal_gfx_font_t::max_ascender

max ascender setting

Definition at line 121 of file hal_gfx_font.h.

## ◆ ranges

const hal_gfx_font_range_t* hal_gfx_font_t::ranges

the font range

Definition at line 115 of file hal_gfx_font.h.

## ◆ xAdvance

uint8_t hal_gfx_font_t::xAdvance

horizontal advance setting

Definition at line 119 of file hal_gfx_font.h.

## ◆ yAdvance

uint8_t hal_gfx_font_t::yAdvance

vertical advance setting

Definition at line 120 of file hal_gfx_font.h.

The documentation for this struct was generated from the following file:

- hal_gfx_font.h